Bug 220534 - uucp: non-failsafe install-info usage, info files removed from index on update
uucp: non-failsafe install-info usage, info files removed from index on update
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: uucp (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Vrabec
Bill Huang
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-21 17:34 EST by Ville Skyttä
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-04 11:45:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2006-12-21 17:34:47 EST
uucp's install-info usage is not failsafe, see
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets#info

Additionally, the install-info --delete in %preun should be wrapped inside "if
[ $1 -eq 0 ]" to prevent the info files from being removed from the index on
upgrades.
Comment 1 Peter Vrabec 2007-01-03 08:48:29 EST
fixed in uucp-1.07-13.fc7
Comment 2 Ville Skyttä 2007-01-03 11:17:58 EST
%post can still fail, appending "|| :" to the install-info command in it or
adding a "exit 0" line as the last one in the script would take care of it.
Comment 3 Peter Vrabec 2007-01-04 11:45:29 EST
fixed uucp-1.07-14.fc

Note You need to log in before you can comment on or make changes to this bug.